## com.twinsoft.convertigo.engine
Class Context

    java.lang.Object
      |
      +--com.twinsoft.convertigo.engine.AbstractContext
            |
            +--com.twinsoft.convertigo.engine.Context

public class Context
extends com.twinsoft.convertigo.engine.AbstractContext

Field Summary
`java.lang.String` | `absoluteSheetUrl`
`com.twinsoft.convertigo.engine.cache.CacheEntry` | `cacheEntry`
`com.twinsoft.convertigo.beans.core.Connector` | `connector`
`java.lang.String` | `connectorName`
`java.lang.String` | `contentType`
`long` | `documentSignatureReceived`
`long` | `documentSignatureSent`
`boolean` | `isAsync`
`boolean` | `isDestroying`
`boolean` | `isErrorDocument`
`boolean` | `isNewSession`
`boolean` | `isRequestFromVic`
`boolean` | `isTrustedRequest`
`boolean` | `isXsltRequest`
`com.twinsoft.convertigo.beans.core.ScreenClass` | `lastDetectedScreenClass`
`com.twinsoft.util.Log` | `log`
`java.lang.String` | `name`
`boolean` | `noCache`
`com.twinsoft.convertigo.beans.core.Pool` | `pool`
`int` | `poolContextNumber`
`java.util.Hashtable` | `previousFields`
`com.twinsoft.convertigo.beans.core.Project` | `project`
`java.lang.String` | `projectName`
`java.lang.String` | `sheetUrl`
`com.twinsoft.convertigo.engine.EngineStatistics` | `statistics`
`java.lang.String` | `subPath`
`boolean` | `tasSessionKeyVerified`
`com.twinsoft.convertigo.beans.core.Transaction` | `transaction`
`java.lang.String` | `transactionName`
`int` | `waitingTransactions`

Fields inherited from class com.twinsoft.convertigo.engine.AbstractContext
`contextID, contextNum, creationTime, httpServletRequest, httpSession, inputDocument, isCacheEnabled, lastAccessTime, outputDocument, remoteAddr, remoteHost, requireEndOfContext, servletPath, steps, tasCommDevice, tasDteAddress, tasServiceCode, tasSessionKey, tasUserGroup, tasUserName, tasUserPassword, tasVirtualServerName, userAgent`

Constructor Summary
`Context(java.lang.String contextID)`

Method Summary
`org.w3c.dom.Node` | `addTextNode(org.w3c.dom.Node parentNode, java.lang.String tagName, java.lang.String text)` Adds a text node into the output XML document.
`org.w3c.dom.Node` | `addTextNodeUnderBlocks(java.lang.String tagName, java.lang.String text)` Adds a text node into the output XML document under the "blocks" node.
`org.w3c.dom.Node` | `addTextNodeUnderRoot(java.lang.String tagName, java.lang.String text)` Adds a text node into the output XML document under the root element.
`java.lang.String` | `getProjectDirectory()`
`void` | `reset()`
`boolean` | `waitAtScreenClass(int timeout, int hardDelay)` This method only concerns Minitel projects.
`boolean` | `waitAtScreenClass(com.twinsoft.twinj.Javelin javelin, int timeout, int hardDelay)`
`boolean` | `waitNextPage(com.twinsoft.twinj.Javelin javelin, java.lang.String action, int timeout, int hardDelay)`
`boolean` | `waitNextPage(java.lang.String action, int timeout, int hardDelay)` This method only concerns Minitel projects.

Methods inherited from class com.twinsoft.convertigo.engine.AbstractContext
`get, keys, remove, set`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public com.twinsoft.util.Log log

### name

    public java.lang.String name

### cacheEntry

    public com.twinsoft.convertigo.engine.cache.CacheEntry cacheEntry

### noCache

    public boolean noCache

### isDestroying

    public boolean isDestroying

### isErrorDocument

    public boolean isErrorDocument

### isXsltRequest

    public boolean isXsltRequest

### isAsync

    public boolean isAsync

### waitingTransactions

    public int waitingTransactions

### isNewSession

    public boolean isNewSession

### isRequestFromVic

    public boolean isRequestFromVic

### isTrustedRequest

    public boolean isTrustedRequest

### documentSignatureSent

    public long documentSignatureSent

### documentSignatureReceived

    public long documentSignatureReceived

### statistics

    public com.twinsoft.convertigo.engine.EngineStatistics statistics

### previousFields

    public java.util.Hashtable previousFields

### absoluteSheetUrl

    public java.lang.String absoluteSheetUrl

### sheetUrl

    public java.lang.String sheetUrl

### contentType

    public java.lang.String contentType

### project

    public com.twinsoft.convertigo.beans.core.Project project

### projectName

    public java.lang.String projectName

### connector

    public com.twinsoft.convertigo.beans.core.Connector connector

### connectorName

    public java.lang.String connectorName

### pool

    public com.twinsoft.convertigo.beans.core.Pool pool

### poolContextNumber

    public int poolContextNumber

### transaction

    public com.twinsoft.convertigo.beans.core.Transaction transaction

### transactionName

    public java.lang.String transactionName

### lastDetectedScreenClass

    public com.twinsoft.convertigo.beans.core.ScreenClass lastDetectedScreenClass

### subPath

    public java.lang.String subPath

### tasSessionKeyVerified

    public boolean tasSessionKeyVerified

Constructor Detail

### Context

    public Context(java.lang.String contextID)

Method Detail

### reset

    public void reset()

### getProjectDirectory

    public java.lang.String getProjectDirectory()

  Specified by:
    `getProjectDirectory` in class `com.twinsoft.convertigo.engine.AbstractContext`

### addTextNodeUnderRoot

    public org.w3c.dom.Node addTextNodeUnderRoot(java.lang.String tagName,
                                                 java.lang.String text)

  Description copied from class: `com.twinsoft.convertigo.engine.AbstractContext`
  Adds a text node into the output XML document under the root element.

  Specified by:
    `addTextNodeUnderRoot` in class `com.twinsoft.convertigo.engine.AbstractContext`
  Parameters:
    `tagName` - the text node tag name.
    `text` - the text to create.
  Returns:
    the created node.

### addTextNodeUnderBlocks

    public org.w3c.dom.Node addTextNodeUnderBlocks(java.lang.String tagName,
                                                   java.lang.String text)

  Description copied from class: `com.twinsoft.convertigo.engine.AbstractContext`
  Adds a text node into the output XML document under the "blocks" node.

  Specified by:
    `addTextNodeUnderBlocks` in class `com.twinsoft.convertigo.engine.AbstractContext`
  Parameters:
    `tagName` - the text node tag name.
    `text` - the text to create.
  Returns:
    the created node.

### addTextNode

    public org.w3c.dom.Node addTextNode(org.w3c.dom.Node parentNode,
                                        java.lang.String tagName,
                                        java.lang.String text)

  Description copied from class: `com.twinsoft.convertigo.engine.AbstractContext`
  Adds a text node into the output XML document.

  Specified by:
    `addTextNode` in class `com.twinsoft.convertigo.engine.AbstractContext`
  Parameters:
    `parentNode` - the parent node into which the text node should be inserted.
    `tagName` - the text node tag name.
    `text` - the text to create.
  Returns:
    the created node.

### waitNextPage

    public boolean waitNextPage(java.lang.String action,
                                int timeout,
                                int hardDelay)
                         throws com.twinsoft.convertigo.engine.EngineException

  Description copied from class: `com.twinsoft.convertigo.engine.AbstractContext`

  This method only concerns Minitel projects.

  Waits for a new page for the same screen class or a new screen class. The method wait for one of the screens described by the screen classes in the project to arrive. We wait for all the screen classes except the current one. In the case of a next page on the same screen class, waitNextPage() will monitor the cursor position. the method will return when the cursor position returns to the same position it was before calling waitNextPage(). You can use waitNextPage() method to synchronize your handler before returning "redetect", "accumulate" or "skip".

  Specified by:
    `waitNextPage` in class `com.twinsoft.convertigo.engine.AbstractContext`
  Parameters:
    `timeout` - the time (in ms) we have to wait for the screen class.
    `hardDelay` - a delay (in ms) added after the nextpage has arrived.
  Returns:
    true, if we the page did arrive, false otherwise.
    `com.twinsoft.convertigo.engine.EngineException`

### waitNextPage

    public boolean waitNextPage(com.twinsoft.twinj.Javelin javelin,
                                java.lang.String action,
                                int timeout,
                                int hardDelay)
                         throws com.twinsoft.convertigo.engine.EngineException

    `com.twinsoft.convertigo.engine.EngineException`

### waitAtScreenClass

    public boolean waitAtScreenClass(int timeout,
                                     int hardDelay)
                              throws com.twinsoft.convertigo.engine.EngineException

  Description copied from class: `com.twinsoft.convertigo.engine.AbstractContext`

  This method only concerns Minitel projects.

  Waits for one of the screens described by the screen classes in the project to arrive. The method waits for all the screen classes except the current one. You can use waitAtScreenClass() method to synchronize your handler before returning "redetect", "accumulate" or "skip".

  Specified by:
    `waitAtScreenClass` in class `com.twinsoft.convertigo.engine.AbstractContext`
  Parameters:
    `timeout` - the time (in ms) we have to wait for the screen class.
    `hardDelay` - a delay (in ms) added after the screen class has arrived.
  Returns:
    true, if we the screen did arrive, false otherwise.
    `com.twinsoft.convertigo.engine.EngineException`

### waitAtScreenClass

    public boolean waitAtScreenClass(com.twinsoft.twinj.Javelin javelin,
                                     int timeout,
                                     int hardDelay)
                              throws com.twinsoft.convertigo.engine.EngineException

    `com.twinsoft.convertigo.engine.EngineException`

Submit a bug or feature
That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright (c) 1999-2002 TWinSoft - All rights reserved.